Name:           perl-Test-YAML-Meta
Version:        0.06
Release:        4%{?dist}.1
Summary:        Validation of the META.yml file in a distribution
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-YAML-Meta/
Source0:        http://www.cpan.org/modules/by-module/Test/Test-YAML-Meta-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 0.08
BuildRequires:  perl(Test::YAML::Valid) >= 0.03
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that
slowly being introduced to module uploads, via the use of
ExtUtils::MakeMaker, Module::Build and Module::Install.

%prep
%setup -q -n Test-YAML-Meta-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
mv LICENSE LICENSE.in
iconv -fiso88591 -tutf8 -oLICENSE LICENSE.in
rm LICENSE.in

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Artistic Changes LICENSE README examples
%dir %{perl_vendorlib}/Test/
%dir %{perl_vendorlib}/Test/YAML/
%{perl_vendorlib}/Test/YAML/Meta.pm
%dir %{perl_vendorlib}/Test/YAML/Meta/
%{perl_vendorlib}/Test/YAML/Meta/Version.pm
%{_mandir}/man3/*.3pm*

%changelog
* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.06-4
- rebuild for new perl

* Mon Dec 24 2007 Daniel P. Berrange <berrange@redhat.com> - 0.06-3.fc9
- Convert LICENSE from iso8859-1 to utf-8
- Add examples to doc

* Sun Dec 23 2007 Daniel P. Berrange <berrange@redhat.com> 0.06-2.fc9
- Added YAML and YAML::Syck as build requirements

* Fri Dec 21 2007 Daniel P. Berrange <berrange@redhat.com> 0.06-1.fc9
- Specfile autogenerated by cpanspec 1.73.
